Name:           bti
Version:        034
Release:        %mkrel 10
Summary:        Bash Twitter/Identi.ca Idiocy
Group:          Networking/News
License:        GPLv2
URL:            https://github.com/gregkh/bti
# for downloading from github:
# wget --content-disposition %%{url}/tarball/%%{version}
Source0:        http://www.kernel.org/pub/software/web/bti/bti-%{version}.tar.gz
Patch0:         bti-034_json-c_013.patch

BuildRequires:  pkgconfig(oauth)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(json-c)

%description
Allows you to pipe your bash input to twitter or identi.ca in an easy
and fast manner to annoy the whole world.


%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# bash completion
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
cp -p bti-bashcompletion %{buildroot}%{_datadir}/bash-completion/completions/bti


%files
%doc ChangeLog COPYING README RELEASE-NOTES
%doc %{name}.example
%{_datadir}/bash-completion/completions/bti
%{_bindir}/%{name}
%{_bindir}/%{name}-shrink-urls
%{_mandir}/man1/*


%changelog
* Sun Nov 29 2020 luigiwalser <luigiwalser> 034-10.mga8
+ Revision: 1650328
- rebuild for json-c

* Wed Feb 12 2020 umeabot <umeabot> 034-9.mga8
+ Revision: 1510799
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 034-8.mga7
+ Revision: 1295694
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 034-7.mga7
+ Revision: 1245360
- rebuild for new json-c 0.13.1
- add patch to fix build with json-c >= 0.13

* Fri Mar 23 2018 kekepower <kekepower> 034-6.mga7
+ Revision: 1211621
- Use new make macro

* Sun Nov 26 2017 josh <josh> 034-5.mga7
+ Revision: 1179442
- Consolidate location for bash-completion scripts

* Sat Jan 16 2016 daviddavid <daviddavid> 034-4.mga6
+ Revision: 923535
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 034-3.mga5
+ Revision: 748146
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 034-2.mga5
+ Revision: 678235
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 bersuit <bersuit> 034-1.mga5
+ Revision: 642222
- Initial bti import

